/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @generated by an internal genrule from Flow types.
 *
 * We create an umbrella header (and corresponding implementation) here since
 * Cxx compilation in BUCK has a limitation: source-code producing genrule()s
 * must have a single output. More files => more genrule()s => slower builds.
 */
#import <ReactCommon/JavaTurboModule.h>
#import <ReactCommon/TurboModule.h>
#import <fb/fbjni.h>
#import <jsi/jsi.h>



namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AccessibilityInfo'
     */

    class JSI_EXPORT NativeAccessibilityInfoSpecJSI : public JavaTurboModule {
    public:
      NativeAccessibilityInfoSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AccessibilityManager'
     */

    class JSI_EXPORT NativeAccessibilityManagerSpecJSI : public JavaTurboModule {
    public:
      NativeAccessibilityManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ActionSheetManager'
     */

    class JSI_EXPORT NativeActionSheetManagerSpecJSI : public JavaTurboModule {
    public:
      NativeActionSheetManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AlertManager'
     */

    class JSI_EXPORT NativeAlertManagerSpecJSI : public JavaTurboModule {
    public:
      NativeAlertManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AnimatedModule'
     */

    class JSI_EXPORT NativeAnimatedModuleSpecJSI : public JavaTurboModule {
    public:
      NativeAnimatedModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AnimationsDebugModule'
     */

    class JSI_EXPORT NativeAnimationsDebugModuleSpecJSI : public JavaTurboModule {
    public:
      NativeAnimationsDebugModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AppState'
     */

    class JSI_EXPORT NativeAppStateSpecJSI : public JavaTurboModule {
    public:
      NativeAppStateSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Appearance'
     */

    class JSI_EXPORT NativeAppearanceSpecJSI : public JavaTurboModule {
    public:
      NativeAppearanceSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AsyncStorage'
     */

    class JSI_EXPORT NativeAsyncStorageSpecJSI : public JavaTurboModule {
    public:
      NativeAsyncStorageSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'BlobModule'
     */

    class JSI_EXPORT NativeBlobModuleSpecJSI : public JavaTurboModule {
    public:
      NativeBlobModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'BugReporting'
     */

    class JSI_EXPORT NativeBugReportingSpecJSI : public JavaTurboModule {
    public:
      NativeBugReportingSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'CameraRollManager'
     */

    class JSI_EXPORT NativeCameraRollManagerSpecJSI : public JavaTurboModule {
    public:
      NativeCameraRollManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Clipboard'
     */

    class JSI_EXPORT NativeClipboardSpecJSI : public JavaTurboModule {
    public:
      NativeClipboardSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DatePickerAndroid'
     */

    class JSI_EXPORT NativeDatePickerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeDatePickerAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevLoadingView'
     */

    class JSI_EXPORT NativeDevLoadingViewSpecJSI : public JavaTurboModule {
    public:
      NativeDevLoadingViewSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevMenu'
     */

    class JSI_EXPORT NativeDevMenuSpecJSI : public JavaTurboModule {
    public:
      NativeDevMenuSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevSettings'
     */

    class JSI_EXPORT NativeDevSettingsSpecJSI : public JavaTurboModule {
    public:
      NativeDevSettingsSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DeviceEventManager'
     */

    class JSI_EXPORT NativeDeviceEventManagerSpecJSI : public JavaTurboModule {
    public:
      NativeDeviceEventManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DeviceInfo'
     */

    class JSI_EXPORT NativeDeviceInfoSpecJSI : public JavaTurboModule {
    public:
      NativeDeviceInfoSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DialogManagerAndroid'
     */

    class JSI_EXPORT NativeDialogManagerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeDialogManagerAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ExceptionsManager'
     */

    class JSI_EXPORT NativeExceptionsManagerSpecJSI : public JavaTurboModule {
    public:
      NativeExceptionsManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'FileReaderModule'
     */

    class JSI_EXPORT NativeFileReaderModuleSpecJSI : public JavaTurboModule {
    public:
      NativeFileReaderModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'FrameRateLogger'
     */

    class JSI_EXPORT NativeFrameRateLoggerSpecJSI : public JavaTurboModule {
    public:
      NativeFrameRateLoggerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'HeadlessJsTaskSupport'
     */

    class JSI_EXPORT NativeHeadlessJsTaskSupportSpecJSI : public JavaTurboModule {
    public:
      NativeHeadlessJsTaskSupportSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'I18nManager'
     */

    class JSI_EXPORT NativeI18nManagerSpecJSI : public JavaTurboModule {
    public:
      NativeI18nManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageEditor'
     */

    class JSI_EXPORT NativeImageEditorSpecJSI : public JavaTurboModule {
    public:
      NativeImageEditorSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageLoaderAndroid'
     */

    class JSI_EXPORT NativeImageLoaderAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeImageLoaderAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageLoaderIOS'
     */

    class JSI_EXPORT NativeImageLoaderIOSSpecJSI : public JavaTurboModule {
    public:
      NativeImageLoaderIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImagePickerIOS'
     */

    class JSI_EXPORT NativeImagePickerIOSSpecJSI : public JavaTurboModule {
    public:
      NativeImagePickerIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageStore'
     */

    class JSI_EXPORT NativeImageStoreSpecJSI : public JavaTurboModule {
    public:
      NativeImageStoreSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSCHeapCapture'
     */

    class JSI_EXPORT NativeJSCHeapCaptureSpecJSI : public JavaTurboModule {
    public:
      NativeJSCHeapCaptureSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSCSamplingProfiler'
     */

    class JSI_EXPORT NativeJSCSamplingProfilerSpecJSI : public JavaTurboModule {
    public:
      NativeJSCSamplingProfilerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSDevSupport'
     */

    class JSI_EXPORT NativeJSDevSupportSpecJSI : public JavaTurboModule {
    public:
      NativeJSDevSupportSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'KeyboardObserver'
     */

    class JSI_EXPORT NativeKeyboardObserverSpecJSI : public JavaTurboModule {
    public:
      NativeKeyboardObserverSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Linking'
     */

    class JSI_EXPORT NativeLinkingSpecJSI : public JavaTurboModule {
    public:
      NativeLinkingSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'LogBox'
     */

    class JSI_EXPORT NativeLogBoxSpecJSI : public JavaTurboModule {
    public:
      NativeLogBoxSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ModalManager'
     */

    class JSI_EXPORT NativeModalManagerSpecJSI : public JavaTurboModule {
    public:
      NativeModalManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'NetworkingAndroid'
     */

    class JSI_EXPORT NativeNetworkingAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeNetworkingAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'NetworkingIOS'
     */

    class JSI_EXPORT NativeNetworkingIOSSpecJSI : public JavaTurboModule {
    public:
      NativeNetworkingIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PermissionsAndroid'
     */

    class JSI_EXPORT NativePermissionsAndroidSpecJSI : public JavaTurboModule {
    public:
      NativePermissionsAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PlatformConstantsAndroid'
     */

    class JSI_EXPORT NativePlatformConstantsAndroidSpecJSI : public JavaTurboModule {
    public:
      NativePlatformConstantsAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PlatformConstantsIOS'
     */

    class JSI_EXPORT NativePlatformConstantsIOSSpecJSI : public JavaTurboModule {
    public:
      NativePlatformConstantsIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PushNotificationManagerIOS'
     */

    class JSI_EXPORT NativePushNotificationManagerIOSSpecJSI : public JavaTurboModule {
    public:
      NativePushNotificationManagerIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'RedBox'
     */

    class JSI_EXPORT NativeRedBoxSpecJSI : public JavaTurboModule {
    public:
      NativeRedBoxSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SegmentFetcher'
     */

    class JSI_EXPORT NativeSegmentFetcherSpecJSI : public JavaTurboModule {
    public:
      NativeSegmentFetcherSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SettingsManager'
     */

    class JSI_EXPORT NativeSettingsManagerSpecJSI : public JavaTurboModule {
    public:
      NativeSettingsManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ShareModule'
     */

    class JSI_EXPORT NativeShareModuleSpecJSI : public JavaTurboModule {
    public:
      NativeShareModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SoundManager'
     */

    class JSI_EXPORT NativeSoundManagerSpecJSI : public JavaTurboModule {
    public:
      NativeSoundManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SourceCode'
     */

    class JSI_EXPORT NativeSourceCodeSpecJSI : public JavaTurboModule {
    public:
      NativeSourceCodeSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'StatusBarManagerAndroid'
     */

    class JSI_EXPORT NativeStatusBarManagerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeStatusBarManagerAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'StatusBarManagerIOS'
     */

    class JSI_EXPORT NativeStatusBarManagerIOSSpecJSI : public JavaTurboModule {
    public:
      NativeStatusBarManagerIOSSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'TVNavigationEventEmitter'
     */

    class JSI_EXPORT NativeTVNavigationEventEmitterSpecJSI : public JavaTurboModule {
    public:
      NativeTVNavigationEventEmitterSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'TimePickerAndroid'
     */

    class JSI_EXPORT NativeTimePickerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeTimePickerAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Timing'
     */

    class JSI_EXPORT NativeTimingSpecJSI : public JavaTurboModule {
    public:
      NativeTimingSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ToastAndroid'
     */

    class JSI_EXPORT NativeToastAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeToastAndroidSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'UIManager'
     */

    class JSI_EXPORT NativeUIManagerSpecJSI : public JavaTurboModule {
    public:
      NativeUIManagerSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Vibration'
     */

    class JSI_EXPORT NativeVibrationSpecJSI : public JavaTurboModule {
    public:
      NativeVibrationSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'WebSocketModule'
     */

    class JSI_EXPORT NativeWebSocketModuleSpecJSI : public JavaTurboModule {
    public:
      NativeWebSocketModuleSpecJSI(const JavaTurboModule::InitParams &params);

    };
  } // namespace react
} // namespace facebook



